Opened 12 years ago

Closed 12 years ago

#4561 closed defect (wontfix)

Particular recording causes frontend to segfault.

Reported by: Jules Bean <jules@…> Owned by: Isaac Richards
Priority: minor Milestone: unknown
Component: mythtv Version: 0.20.2
Severity: medium Keywords:
Cc: Ticket locked: no

Description

A particular recording (recorded from Film4, UK DVB-T) causes my frontend to segfault if played, or even if browsed (due to playing of the preview, I imagine).

This is not a common problem; I've been using myth for a couple of years and viewed many programmes including others recorded from the same channel before.

Running the frontend with -v all gives the following output:

2008-01-31 21:44:59.185 RingBuf(/var/video/1029_20080129185000.mpg): OpenFile(/var/video/1029_20080129185000.mpg, 1)
2008-01-31 21:44:59.185 RingBuf(/var/video/1029_20080129185000.mpg): CalcReadAheadThresh(4000 KB)
                         -> threshhold(146 KB) min read(32 KB) blk size(64 KB)
mpegts_add_stream: at pid 0x262 with type 2
mpegts_add_stream: stream #0, has id 0x262 and codec MPEG2VIDEO, type Video at 0x970cf80
mpegts_add_stream: at pid 0x263 with type 3
mpegts_add_stream: stream #1, has id 0x263 and codec MP3, type Audio at 0x87fbb70
mpegts_add_stream: at pid 0x265 with type 256
mpegts_add_stream: stream #2, has id 0x265 and codec DVB_SUBTITLE, type Subtitle at 0x974eb40
mpegts_add_stream: at pid 0x264 with type 3
mpegts_add_stream: stream #3, has id 0x264 and codec MP3, type Audio at 0x97a07a0
mpegts_add_stream: at pid 0x28a with type 11
mpegts_add_stream: stream #4, has id 0x28a and codec DSMCC_B, type Data at 0x87958b0
mpegts_add_stream: at pid 0x28b with type 11
mpegts_add_stream: stream #5, has id 0x28b and codec DSMCC_B, type Data at 0x97c21a0
mpegts_add_stream: at pid 0x28c with type 11
mpegts_add_stream: stream #6, has id 0x28c and codec DSMCC_B, type Data at 0x97c2dd0
mpegts_add_stream: at pid 0x3f0 with type 11
mpegts_add_stream: stream #7, has id 0x3f0 and codec DSMCC_B, type Data at 0x88444a0
mpegts_add_stream: at pid 0x3f1 with type 11
mpegts_add_stream: stream #8, has id 0x3f1 and codec DSMCC_B, type Data at 0x883a200
mpegts_add_stream: at pid 0x3f2 with type 11
mpegts_add_stream: stream #9, has id 0x3f2 and codec DSMCC_B, type Data at 0x96f4e20
Closing PMT Filter: pid=0x1084
av_remove_stream 0x3f2
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=10 i=9
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x3f2
closing filter for pid 0x3f2
av_remove_stream: renumbering streams
av_remove_stream 0x3f1
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=9 i=8
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x3f1
closing filter for pid 0x3f1
av_remove_stream: renumbering streams
av_remove_stream 0x3f0
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=8 i=7
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x3f0
closing filter for pid 0x3f0
Closing PMT Filter: pid=0x3f0
av_remove_stream: renumbering streams
av_remove_stream 0x28c
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=7 i=6
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x28c
closing filter for pid 0x28c
av_remove_stream: renumbering streams
av_remove_stream 0x28b
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=6 i=5
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x28b
closing filter for pid 0x28b
av_remove_stream: renumbering streams
av_remove_stream 0x28a
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=5 i=4
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x28a
closing filter for pid 0x28a
av_remove_stream: renumbering streams
av_remove_stream 0x264
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=4 i=3
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x264
closing filter for pid 0x264
av_remove_stream: renumbering streams
av_remove_stream 0x265
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=3 i=2
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x265
closing filter for pid 0x265
av_remove_stream: renumbering streams
av_remove_stream 0x263
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=2 i=1
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x263
closing filter for pid 0x263
av_remove_stream: renumbering streams
av_remove_stream 0x262
av_remove_stream: no change to cur_st
av_remove_stream: removing... s->nb_streams=1 i=0
av_remove_stream: mpegts_remove_stream
mpegts_remove_stream 0x262
closing filter for pid 0x262
av_remove_stream: renumbering streams
mpegts_add_stream: at pid 0x2bd with type 2
mpegts_add_stream: stream #0, has id 0x2bd and codec MPEG2VIDEO, type Video at 0x81d99b0
mpegts_add_stream: at pid 0x2be with type 3
mpegts_add_stream: stream #1, has id 0x2be and codec MP3, type Audio at 0x98048f0
mpegts_add_stream: at pid 0x2bf with type 256
mpegts_add_stream: stream #2, has id 0x2bf and codec DVB_SUBTITLE, type Subtitle at 0x9803dc0
mpegts_add_stream: at pid 0x2c0 with type 3
mpegts_add_stream: stream #3, has id 0x2c0 and codec MP3, type Audio at 0x9803180
mpegts_add_stream: at pid 0xab with type 11
mpegts_add_stream: stream #4, has id 0xab and codec DSMCC_B, type Data at 0x98024f0
mpegts_add_stream: at pid 0xac with type 11
mpegts_add_stream: stream #5, has id 0xac and codec DSMCC_B, type Data at 0x98018c0
mpegts_add_stream: at pid 0xfa0 with type 11
mpegts_add_stream: stream #6, has id 0xfa0 and codec DSMCC_B, type Data at 0x9800060
Segmentation fault
mythtv@champagne:~$ 

Running the same file with 'mythv' gives exactly the same output.

My mythfrontend doesn't have debugging symbols included so the gdb output is less than helpful:

(gdb) bt
#0  0xb5b98113 in memmove () from /lib/i686/cmov/libc.so.6
#1  0xb73c9883 in mpegts_remove_stream () from /usr/lib/libmythavformat-0.20.2.so.0
#2  0x097f9448 in ?? ()
#3  0x00000001 in ?? ()
#4  0x00000040 in ?? ()
#5  0x000000bc in ?? ()
#6  0xb7415104 in ?? () from /usr/lib/libmythavformat-0.20.2.so.0
#7  0x00000000 in ?? ()

I'm using this version of myth:

ii  mythtv                     0.20.2.svn20071021-0.2     A personal video recorder application (client and server)

from the debian-multimedia repository.

I will save the file for now, and can upload all or part of it if that helps. Happy to also try different version of mythtv, or recompile with debugging symbols, etc, just let me know.

Thanks for a great product!

Change History (3)

comment:1 Changed 12 years ago by Stuart Auchterlonie

Status: newinfoneeded_new

You will need to attempt playing back the file with svn head and see if that still segfaults.

StuartA

comment:2 Changed 12 years ago by Jules Bean <jules@…>

OK, I compiled up the SVN head as of today (3/2/2008) and tried it.

Strange result.

First thing I tried was running the recording directly with mythtv, from the commandline. It worked! Great, I thought, the bug is fixed!

But then I run up the full frontend, and browsed to the recording from mythfrontend. Segfault.

So I tried again with mythtv from the commandline. Now it crashes with an assertion failure:

2008-02-03 20:45:28.777 Using runtime prefix = /usr/local, libdir = /usr/local/lib
2008-02-03 20:45:28.785 XScreenSaver support enabled
2008-02-03 20:45:28.786 DPMS is disabled.
2008-02-03 20:45:28.786 Empty LocalHostName.
2008-02-03 20:45:28.787 Using localhost value of champagne
2008-02-03 20:45:28.803 New DB connection, total: 1
2008-02-03 20:45:28.808 Connected to database 'mythconverg' at host: localhost
2008-02-03 20:45:28.810 Closing DB connection named 'DBManager0'
2008-02-03 20:45:28.810 Total desktop dim: 800x600, with 1 screen[s].
2008-02-03 20:45:28.811 Connected to database 'mythconverg' at host: localhost
2008-02-03 20:45:28.813 Using screen 0, 800x600 at 0,0
2008-02-03 20:45:28.829 max_width: 800 max_height: 600
2008-02-03 20:45:28.830 Total desktop dim: 800x600, with 1 screen[s].
2008-02-03 20:45:28.831 Using screen 0, 800x600 at 0,0
2008-02-03 20:45:28.833 Switching to square mode (G.A.N.T)
2008-02-03 20:45:28.862 Using the Qt painter
2008-02-03 20:45:28.868 Joystick disabled.
2008-02-03 20:45:29.153 New DB connection, total: 2
2008-02-03 20:45:29.154 Connected to database 'mythconverg' at host: localhost
2008-02-03 20:45:29.190 New DB connection, total: 3
2008-02-03 20:45:29.191 Connected to database 'mythconverg' at host: localhost
2008-02-03 20:45:29.197 Connecting to backend server: 127.0.0.1:6543 (try 1 of 5)
2008-02-03 20:45:29.198 Using protocol version 39
2008-02-03 20:45:29.201 TV: Attempting to change from None to WatchingPreRecorded
2008-02-03 20:45:29.203 RingBuf(/var/video/1029_20080129185000.mpg): OpenFile(/var/video/1029_20080129185000.mpg, 12)
2008-02-03 20:45:29.204 RingBuf(/var/video/1029_20080129185000.mpg): CalcReadAheadThresh(0 KB)
                         -> threshhold(64 KB) min read(0 KB) blk size(32 KB)
2008-02-03 20:45:29.228 mpegts_add_stream: at pid 0x262 with type 2
2008-02-03 20:45:29.229 mpegts_add_stream: stream #0, has id 0x262 and codec MPEG2VIDEO, type Video at 0x870e4e0
2008-02-03 20:45:29.229 mpegts_add_stream: at pid 0x263 with type 3
2008-02-03 20:45:29.230 mpegts_add_stream: stream #1, has id 0x263 and codec MP3, type Audio at 0x870da50
2008-02-03 20:45:29.230 mpegts_add_stream: at pid 0x265 with type 256
2008-02-03 20:45:29.230 mpegts_add_stream: stream #2, has id 0x265 and codec DVB_SUBTITLE, type Subtitle at 0x870e120
2008-02-03 20:45:29.230 mpegts_add_stream: at pid 0x264 with type 3
2008-02-03 20:45:29.230 mpegts_add_stream: stream #3, has id 0x264 and codec MP3, type Audio at 0x8780a40
2008-02-03 20:45:29.231 mpegts_add_stream: at pid 0x28a with type 11
2008-02-03 20:45:29.231 mpegts_add_stream: stream #4, has id 0x28a and codec DSMCC_B, type Data at 0x8781ef0
2008-02-03 20:45:29.231 mpegts_add_stream: at pid 0x28b with type 11
2008-02-03 20:45:29.232 mpegts_add_stream: stream #5, has id 0x28b and codec DSMCC_B, type Data at 0x87833a0
2008-02-03 20:45:29.232 mpegts_add_stream: at pid 0x28c with type 11
2008-02-03 20:45:29.232 mpegts_add_stream: stream #6, has id 0x28c and codec DSMCC_B, type Data at 0x8784850
2008-02-03 20:45:29.232 mpegts_add_stream: at pid 0x3f0 with type 11
2008-02-03 20:45:29.233 mpegts_add_stream: stream #7, has id 0x3f0 and codec DSMCC_B, type Data at 0x8785d00
2008-02-03 20:45:29.233 mpegts_add_stream: at pid 0x3f1 with type 11
2008-02-03 20:45:29.233 mpegts_add_stream: stream #8, has id 0x3f1 and codec DSMCC_B, type Data at 0x87871b0
2008-02-03 20:45:29.233 mpegts_add_stream: at pid 0x3f2 with type 11
2008-02-03 20:45:29.234 mpegts_add_stream: stream #9, has id 0x3f2 and codec DSMCC_B, type Data at 0x8788660
2008-02-03 20:45:29.234 Closing PMT Filter: pid=0x1084
2008-02-03 20:45:29.234 av_remove_stream 0x3f2
2008-02-03 20:45:29.234 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.234 av_remove_stream: removing... s->nb_streams=10 i=9
2008-02-03 20:45:29.234 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.235 mpegts_remove_stream 0x3f2
2008-02-03 20:45:29.235 closing filter for pid 0x3f2
2008-02-03 20:45:29.235 av_remove_stream: renumbering streams
2008-02-03 20:45:29.235 av_remove_stream 0x3f1
2008-02-03 20:45:29.235 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.235 av_remove_stream: removing... s->nb_streams=9 i=8
2008-02-03 20:45:29.235 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.235 mpegts_remove_stream 0x3f1
2008-02-03 20:45:29.235 closing filter for pid 0x3f1
2008-02-03 20:45:29.235 av_remove_stream: renumbering streams
2008-02-03 20:45:29.236 av_remove_stream 0x3f0
2008-02-03 20:45:29.236 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.236 av_remove_stream: removing... s->nb_streams=8 i=7
2008-02-03 20:45:29.236 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.236 mpegts_remove_stream 0x3f0
2008-02-03 20:45:29.236 closing filter for pid 0x3f0
2008-02-03 20:45:29.236 Closing PMT Filter: pid=0x3f0
2008-02-03 20:45:29.236 av_remove_stream: renumbering streams
2008-02-03 20:45:29.236 av_remove_stream 0x28c
2008-02-03 20:45:29.236 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.236 av_remove_stream: removing... s->nb_streams=7 i=6
2008-02-03 20:45:29.236 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.237 mpegts_remove_stream 0x28c
2008-02-03 20:45:29.237 closing filter for pid 0x28c
2008-02-03 20:45:29.237 av_remove_stream: renumbering streams
2008-02-03 20:45:29.237 av_remove_stream 0x28b
2008-02-03 20:45:29.237 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.237 av_remove_stream: removing... s->nb_streams=6 i=5
2008-02-03 20:45:29.237 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.237 mpegts_remove_stream 0x28b
2008-02-03 20:45:29.237 closing filter for pid 0x28b
2008-02-03 20:45:29.237 av_remove_stream: renumbering streams
2008-02-03 20:45:29.237 av_remove_stream 0x28a
2008-02-03 20:45:29.238 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.238 av_remove_stream: removing... s->nb_streams=5 i=4
2008-02-03 20:45:29.238 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.238 mpegts_remove_stream 0x28a
2008-02-03 20:45:29.238 closing filter for pid 0x28a
2008-02-03 20:45:29.238 av_remove_stream: renumbering streams
2008-02-03 20:45:29.238 av_remove_stream 0x264
2008-02-03 20:45:29.238 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.238 av_remove_stream: removing... s->nb_streams=4 i=3
2008-02-03 20:45:29.238 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.238 mpegts_remove_stream 0x264
2008-02-03 20:45:29.238 closing filter for pid 0x264
2008-02-03 20:45:29.239 av_remove_stream: renumbering streams
2008-02-03 20:45:29.239 av_remove_stream 0x265
2008-02-03 20:45:29.239 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.239 av_remove_stream: removing... s->nb_streams=3 i=2
2008-02-03 20:45:29.239 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.239 mpegts_remove_stream 0x265
2008-02-03 20:45:29.239 closing filter for pid 0x265
2008-02-03 20:45:29.239 av_remove_stream: renumbering streams
2008-02-03 20:45:29.239 av_remove_stream 0x263
2008-02-03 20:45:29.239 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.239 av_remove_stream: removing... s->nb_streams=2 i=1
2008-02-03 20:45:29.240 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.240 mpegts_remove_stream 0x263
2008-02-03 20:45:29.240 closing filter for pid 0x263
2008-02-03 20:45:29.240 av_remove_stream: renumbering streams
2008-02-03 20:45:29.240 av_remove_stream 0x262
2008-02-03 20:45:29.240 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.240 av_remove_stream: removing... s->nb_streams=1 i=0
2008-02-03 20:45:29.240 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.240 mpegts_remove_stream 0x262
2008-02-03 20:45:29.240 closing filter for pid 0x262
2008-02-03 20:45:29.240 av_remove_stream: renumbering streams
2008-02-03 20:45:29.240 mpegts_add_stream: at pid 0x2bd with type 2
2008-02-03 20:45:29.241 mpegts_add_stream: stream #0, has id 0x2bd and codec MPEG2VIDEO, type Video at 0x870e220
2008-02-03 20:45:29.241 mpegts_add_stream: at pid 0x2be with type 3
2008-02-03 20:45:29.241 mpegts_add_stream: stream #1, has id 0x2be and codec MP3, type Audio at 0x870d570
2008-02-03 20:45:29.241 mpegts_add_stream: at pid 0x2bf with type 256
2008-02-03 20:45:29.242 mpegts_add_stream: stream #2, has id 0x2bf and codec DVB_SUBTITLE, type Subtitle at 0x87815c0
2008-02-03 20:45:29.242 mpegts_add_stream: at pid 0x2c0 with type 3
2008-02-03 20:45:29.242 mpegts_add_stream: stream #3, has id 0x2c0 and codec MP3, type Audio at 0x8781c00
2008-02-03 20:45:29.242 mpegts_add_stream: at pid 0xab with type 11
2008-02-03 20:45:29.243 mpegts_add_stream: stream #4, has id 0xab and codec DSMCC_B, type Data at 0x8781d00
2008-02-03 20:45:29.243 mpegts_add_stream: at pid 0xac with type 11
2008-02-03 20:45:29.243 mpegts_add_stream: stream #5, has id 0xac and codec DSMCC_B, type Data at 0x8781e00
2008-02-03 20:45:29.243 mpegts_add_stream: at pid 0xfa0 with type 11
2008-02-03 20:45:29.244 mpegts_add_stream: stream #6, has id 0xfa0 and codec DSMCC_B, type Data at 0x8785750
2008-02-03 20:45:29.311 Closing PMT Filter: pid=0x3f0
2008-02-03 20:45:29.312 av_remove_stream 0xfa0
2008-02-03 20:45:29.312 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.312 av_remove_stream: removing... s->nb_streams=7 i=6
2008-02-03 20:45:29.312 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.312 mpegts_remove_stream 0xfa0
2008-02-03 20:45:29.312 closing filter for pid 0xfa0
2008-02-03 20:45:29.312 av_remove_stream: renumbering streams
2008-02-03 20:45:29.312 av_remove_stream 0xac
2008-02-03 20:45:29.312 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.313 av_remove_stream: removing... s->nb_streams=6 i=5
2008-02-03 20:45:29.313 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.313 mpegts_remove_stream 0xac
2008-02-03 20:45:29.313 closing filter for pid 0xac
2008-02-03 20:45:29.313 av_remove_stream: renumbering streams
2008-02-03 20:45:29.313 av_remove_stream 0xab
2008-02-03 20:45:29.313 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.313 av_remove_stream: removing... s->nb_streams=5 i=4
2008-02-03 20:45:29.313 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.313 mpegts_remove_stream 0xab
2008-02-03 20:45:29.313 closing filter for pid 0xab
2008-02-03 20:45:29.314 av_remove_stream: renumbering streams
2008-02-03 20:45:29.314 av_remove_stream 0x2c0
2008-02-03 20:45:29.314 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.314 av_remove_stream: removing... s->nb_streams=4 i=3
2008-02-03 20:45:29.314 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.314 mpegts_remove_stream 0x2c0
2008-02-03 20:45:29.314 closing filter for pid 0x2c0
2008-02-03 20:45:29.314 av_remove_stream: renumbering streams
2008-02-03 20:45:29.314 av_remove_stream 0x2bf
2008-02-03 20:45:29.314 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.314 av_remove_stream: removing... s->nb_streams=3 i=2
2008-02-03 20:45:29.314 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.315 mpegts_remove_stream 0x2bf
2008-02-03 20:45:29.315 closing filter for pid 0x2bf
2008-02-03 20:45:29.315 av_remove_stream: renumbering streams
2008-02-03 20:45:29.315 av_remove_stream 0x2be
2008-02-03 20:45:29.315 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.315 av_remove_stream: removing... s->nb_streams=2 i=1
2008-02-03 20:45:29.315 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.315 mpegts_remove_stream 0x2be
2008-02-03 20:45:29.315 closing filter for pid 0x2be
2008-02-03 20:45:29.315 av_remove_stream: renumbering streams
2008-02-03 20:45:29.315 av_remove_stream 0x2bd
2008-02-03 20:45:29.316 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.316 av_remove_stream: removing... s->nb_streams=1 i=0
2008-02-03 20:45:29.316 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.316 mpegts_remove_stream 0x2bd
2008-02-03 20:45:29.316 closing filter for pid 0x2bd
2008-02-03 20:45:29.316 av_remove_stream: renumbering streams
2008-02-03 20:45:29.316 mpegts_add_stream: at pid 0x262 with type 2
2008-02-03 20:45:29.316 mpegts_add_stream: stream #0, has id 0x262 and codec MPEG2VIDEO, type Video at 0x8788500
2008-02-03 20:45:29.317 mpegts_add_stream: at pid 0x263 with type 3
2008-02-03 20:45:29.317 mpegts_add_stream: stream #1, has id 0x263 and codec MP3, type Audio at 0x870db50
2008-02-03 20:45:29.317 mpegts_add_stream: at pid 0x265 with type 256
2008-02-03 20:45:29.317 mpegts_add_stream: stream #2, has id 0x265 and codec DVB_SUBTITLE, type Subtitle at 0x87d25f0
2008-02-03 20:45:29.317 mpegts_add_stream: at pid 0x264 with type 3
2008-02-03 20:45:29.318 mpegts_add_stream: stream #3, has id 0x264 and codec MP3, type Audio at 0x87d26f0
2008-02-03 20:45:29.318 mpegts_add_stream: at pid 0x28a with type 11
2008-02-03 20:45:29.318 mpegts_add_stream: stream #4, has id 0x28a and codec DSMCC_B, type Data at 0x87864f0
2008-02-03 20:45:29.318 mpegts_add_stream: at pid 0x28b with type 11
2008-02-03 20:45:29.319 mpegts_add_stream: stream #5, has id 0x28b and codec DSMCC_B, type Data at 0x8786970
2008-02-03 20:45:29.319 mpegts_add_stream: at pid 0x28c with type 11
2008-02-03 20:45:29.319 mpegts_add_stream: stream #6, has id 0x28c and codec DSMCC_B, type Data at 0x8786df0
2008-02-03 20:45:29.319 mpegts_add_stream: at pid 0x3f0 with type 11
2008-02-03 20:45:29.320 mpegts_add_stream: stream #7, has id 0x3f0 and codec DSMCC_B, type Data at 0x8786ef0
2008-02-03 20:45:29.320 mpegts_add_stream: at pid 0x3f1 with type 11
2008-02-03 20:45:29.320 mpegts_add_stream: stream #8, has id 0x3f1 and codec DSMCC_B, type Data at 0x8786ff0
2008-02-03 20:45:29.320 mpegts_add_stream: at pid 0x3f2 with type 11
2008-02-03 20:45:29.321 mpegts_add_stream: stream #9, has id 0x3f2 and codec DSMCC_B, type Data at 0x87dea70
2008-02-03 20:45:29.321 streams_changed()
2008-02-03 20:45:29.321 AFD: HandleStreamChange(): streams_changed 0x870b280 -- stream count 10
2008-02-03 20:45:29.321 AFD: SeekReset(0, 0, do flush, do discard)
2008-02-03 20:45:29.321 AFD: SeekReset() flushing
2008-02-03 20:45:29.321 AFD: Stream #0, has id 0x610 codec id MPEG2VIDEO, type Video, bitrate 0 at 0x0x8788500
2008-02-03 20:45:29.324 VDP: Accepting: cmp(<= 720 576,> 0 0) dec(ffmpeg) rend(xv-blit) osd(softblend) osdfade(enabled) deint(bobdeint,linearblend) filt()
2008-02-03 20:45:29.324 VDP: Rejecting: cmp(<= 1280 720,> 720 576) dec(xvmc) rend(xvmc-blit) osd(opengl) osdfade(enabled) deint(bobdeint,onefield) filt()
                        OSD Renderer opengl is not supported w/renderer xvmc-blit (supported: chromakey,chromakey,ia44blend)
2008-02-03 20:45:29.324 VDP: Accepting: cmp(<= 1280 720,> 720 576) dec(libmpeg2) rend(xv-blit) osd(softblend) osdfade(enabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.325 VDP: Accepting: cmp(> 0 0) dec(xvmc) rend(xvmc-blit) osd(ia44blend) osdfade(disabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.325 VDP: Accepting: cmp(> 0 0) dec(libmpeg2) rend(xv-blit) osd(chromakey) osdfade(disabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.325 VDP: LoadBestPreferences(2048x2048, 0)
2008-02-03 20:45:29.325 VDP: LoadBestPreferences(2048x2048, 60)
2008-02-03 20:45:29.325 VDP: LoadBestPreferences(16x16, 60)
2008-02-03 20:45:29.327 VDP: Accepting: cmp(<= 720 576,> 0 0) dec(ffmpeg) rend(xv-blit) osd(softblend) osdfade(enabled) deint(bobdeint,linearblend) filt()
2008-02-03 20:45:29.327 VDP: Rejecting: cmp(<= 1280 720,> 720 576) dec(xvmc) rend(xvmc-blit) osd(opengl) osdfade(enabled) deint(bobdeint,onefield) filt()
                        OSD Renderer opengl is not supported w/renderer xvmc-blit (supported: chromakey,chromakey,ia44blend)
2008-02-03 20:45:29.328 VDP: Accepting: cmp(<= 1280 720,> 720 576) dec(libmpeg2) rend(xv-blit) osd(softblend) osdfade(enabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.328 VDP: Accepting: cmp(> 0 0) dec(xvmc) rend(xvmc-blit) osd(ia44blend) osdfade(disabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.328 VDP: Accepting: cmp(> 0 0) dec(libmpeg2) rend(xv-blit) osd(chromakey) osdfade(disabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.328 VDP: LoadBestPreferences(2048x2048, 0)
2008-02-03 20:45:29.328 VDP: LoadBestPreferences(2048x2048, 60)
2008-02-03 20:45:29.329 VDP: LoadBestPreferences(16x16, 60)
2008-02-03 20:45:29.329 AFD: InitVideoCodec() 0x877f690 id(MPEG2VIDEO) type (Video).
2008-02-03 20:45:29.329 AFD: InitVideoCodec failed to align dimensions, resetting decoder.
2008-02-03 20:45:29.329 detectInterlace(Detect Scan, Interlaced Scan, 29.97, 480) ->Interlaced Scan
2008-02-03 20:45:29.329 AFD: Using ffmpeg for video decoding
2008-02-03 20:45:29.329 AFD: Looking for decoder for MPEG2VIDEO
2008-02-03 20:45:29.329 AFD: Opened codec 0x877f690, id(MPEG2VIDEO) type(Video)
2008-02-03 20:45:29.330 AFD: Stream #1, has id 0x611 codec id MP3, type Audio, bitrate 0 at 0x0x870db50
2008-02-03 20:45:29.330 AFD: Looking for decoder for MP3
2008-02-03 20:45:29.330 AFD: Opened codec 0x877fa10, id(MP3) type(Audio)
2008-02-03 20:45:29.330 AFD: Stream #2, has id 0x613 codec id DVB_SUBTITLE, type Subtitle, bitrate 0 at 0x0x87d25f0
2008-02-03 20:45:29.330 AFD: subtitle codec (Subtitle)
2008-02-03 20:45:29.330 AFD: Looking for decoder for DVB_SUBTITLE
2008-02-03 20:45:29.330 AFD: Opened codec 0x877fd90, id(DVB_SUBTITLE) type(Subtitle)
2008-02-03 20:45:29.330 AFD: Subtitle track #1 is A/V stream #2 and is in the English language(6647399).
2008-02-03 20:45:29.330 AFD: Stream #3, has id 0x612 codec id MP3, type Audio, bitrate 0 at 0x0x87d26f0
2008-02-03 20:45:29.330 AFD: Looking for decoder for MP3
2008-02-03 20:45:29.331 AFD: Opened codec 0x8786180, id(MP3) type(Audio)
2008-02-03 20:45:29.331 AFD: Stream #4, has id 0x650 codec id DSMCC_B, type Data, bitrate 0 at 0x0x87864f0
2008-02-03 20:45:29.331 AFD: data codec (Data)
2008-02-03 20:45:29.331 AFD: Stream #5, has id 0x651 codec id DSMCC_B, type Data, bitrate 0 at 0x0x8786970
2008-02-03 20:45:29.331 AFD: data codec (Data)
2008-02-03 20:45:29.331 AFD: Stream #6, has id 0x652 codec id DSMCC_B, type Data, bitrate 0 at 0x0x8786df0
2008-02-03 20:45:29.331 AFD: data codec (Data)
2008-02-03 20:45:29.331 AFD: Stream #7, has id 0x1008 codec id DSMCC_B, type Data, bitrate 0 at 0x0x8786ef0
2008-02-03 20:45:29.332 AFD: data codec (Data)
2008-02-03 20:45:29.332 AFD: Stream #8, has id 0x1009 codec id DSMCC_B, type Data, bitrate 0 at 0x0x8786ff0
2008-02-03 20:45:29.332 AFD: data codec (Data)
2008-02-03 20:45:29.332 AFD: Stream #9, has id 0x1010 codec id DSMCC_B, type Data, bitrate 0 at 0x0x87dea70
2008-02-03 20:45:29.332 AFD: data codec (Data)
2008-02-03 20:45:29.332 Closing PMT Filter: pid=0x1084
2008-02-03 20:45:29.332 av_remove_stream 0x3f2
2008-02-03 20:45:29.332 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.332 av_remove_stream: removing... s->nb_streams=10 i=9
2008-02-03 20:45:29.332 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.332 mpegts_remove_stream 0x3f2
2008-02-03 20:45:29.333 closing filter for pid 0x3f2
2008-02-03 20:45:29.333 av_remove_stream: renumbering streams
2008-02-03 20:45:29.333 av_remove_stream 0x3f1
2008-02-03 20:45:29.333 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.333 av_remove_stream: removing... s->nb_streams=9 i=8
2008-02-03 20:45:29.333 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.333 mpegts_remove_stream 0x3f1
2008-02-03 20:45:29.333 closing filter for pid 0x3f1
2008-02-03 20:45:29.333 av_remove_stream: renumbering streams
2008-02-03 20:45:29.333 av_remove_stream 0x3f0
2008-02-03 20:45:29.333 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.334 av_remove_stream: removing... s->nb_streams=8 i=7
2008-02-03 20:45:29.334 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.334 mpegts_remove_stream 0x3f0
2008-02-03 20:45:29.334 closing filter for pid 0x3f0
2008-02-03 20:45:29.334 Closing PMT Filter: pid=0x3f0
2008-02-03 20:45:29.334 av_remove_stream: renumbering streams
2008-02-03 20:45:29.334 av_remove_stream 0x28c
2008-02-03 20:45:29.334 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.334 av_remove_stream: removing... s->nb_streams=7 i=6
2008-02-03 20:45:29.334 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.334 mpegts_remove_stream 0x28c
2008-02-03 20:45:29.335 closing filter for pid 0x28c
2008-02-03 20:45:29.335 av_remove_stream: renumbering streams
2008-02-03 20:45:29.335 av_remove_stream 0x28b
2008-02-03 20:45:29.335 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.335 av_remove_stream: removing... s->nb_streams=6 i=5
2008-02-03 20:45:29.335 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.335 mpegts_remove_stream 0x28b
2008-02-03 20:45:29.335 closing filter for pid 0x28b
2008-02-03 20:45:29.335 av_remove_stream: renumbering streams
2008-02-03 20:45:29.336 av_remove_stream 0x28a
2008-02-03 20:45:29.336 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.336 av_remove_stream: removing... s->nb_streams=5 i=4
2008-02-03 20:45:29.336 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.336 mpegts_remove_stream 0x28a
2008-02-03 20:45:29.336 closing filter for pid 0x28a
2008-02-03 20:45:29.336 av_remove_stream: renumbering streams
2008-02-03 20:45:29.336 av_remove_stream 0x264
2008-02-03 20:45:29.337 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.337 av_remove_stream: removing... s->nb_streams=4 i=3
2008-02-03 20:45:29.337 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.337 mpegts_remove_stream 0x264
2008-02-03 20:45:29.337 closing filter for pid 0x264
2008-02-03 20:45:29.337 av_remove_stream: renumbering streams
2008-02-03 20:45:29.337 av_remove_stream 0x265
2008-02-03 20:45:29.337 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.337 av_remove_stream: removing... s->nb_streams=3 i=2
2008-02-03 20:45:29.337 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.337 mpegts_remove_stream 0x265
2008-02-03 20:45:29.338 closing filter for pid 0x265
2008-02-03 20:45:29.338 av_remove_stream: renumbering streams
2008-02-03 20:45:29.338 av_remove_stream 0x263
2008-02-03 20:45:29.338 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.338 av_remove_stream: removing... s->nb_streams=2 i=1
2008-02-03 20:45:29.338 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.338 mpegts_remove_stream 0x263
2008-02-03 20:45:29.338 closing filter for pid 0x263
2008-02-03 20:45:29.338 av_remove_stream: renumbering streams
2008-02-03 20:45:29.338 av_remove_stream 0x262
2008-02-03 20:45:29.338 av_remove_stream: no change to cur_st
2008-02-03 20:45:29.338 av_remove_stream: removing... s->nb_streams=1 i=0
2008-02-03 20:45:29.339 av_remove_stream: mpegts_remove_stream
2008-02-03 20:45:29.339 mpegts_remove_stream 0x262
2008-02-03 20:45:29.339 closing filter for pid 0x262
2008-02-03 20:45:29.339 av_remove_stream: renumbering streams
2008-02-03 20:45:29.339 mpegts_add_stream: at pid 0x2bd with type 2
2008-02-03 20:45:29.339 mpegts_add_stream: stream #0, has id 0x2bd and codec MPEG2VIDEO, type Video at 0x870f9b0
2008-02-03 20:45:29.339 mpegts_add_stream: at pid 0x2be with type 3
2008-02-03 20:45:29.340 mpegts_add_stream: stream #1, has id 0x2be and codec MP3, type Audio at 0x87cf6a0
2008-02-03 20:45:29.340 mpegts_add_stream: at pid 0x2bf with type 256
2008-02-03 20:45:29.340 mpegts_add_stream: stream #2, has id 0x2bf and codec DVB_SUBTITLE, type Subtitle at 0x8781a40
2008-02-03 20:45:29.340 mpegts_add_stream: at pid 0x2c0 with type 3
2008-02-03 20:45:29.341 mpegts_add_stream: stream #3, has id 0x2c0 and codec MP3, type Audio at 0x87da470
2008-02-03 20:45:29.341 mpegts_add_stream: at pid 0xab with type 11
2008-02-03 20:45:29.341 mpegts_add_stream: stream #4, has id 0xab and codec DSMCC_B, type Data at 0x870e650
2008-02-03 20:45:29.341 mpegts_add_stream: at pid 0xac with type 11
2008-02-03 20:45:29.342 mpegts_add_stream: stream #5, has id 0xac and codec DSMCC_B, type Data at 0x8780110
2008-02-03 20:45:29.342 mpegts_add_stream: at pid 0xfa0 with type 11
2008-02-03 20:45:29.342 mpegts_add_stream: stream #6, has id 0xfa0 and codec DSMCC_B, type Data at 0x87d1040
2008-02-03 20:45:29.342 streams_changed()
2008-02-03 20:45:29.342 AFD: HandleStreamChange(): streams_changed 0x870b280 -- stream count 7
2008-02-03 20:45:29.342 AFD: SeekReset(0, 0, do flush, do discard)
2008-02-03 20:45:29.343 AFD: SeekReset() flushing
2008-02-03 20:45:29.343 AFD: Stream #0, has id 0x701 codec id MPEG2VIDEO, type Video, bitrate 0 at 0x0x870f9b0
2008-02-03 20:45:29.345 VDP: Accepting: cmp(<= 720 576,> 0 0) dec(ffmpeg) rend(xv-blit) osd(softblend) osdfade(enabled) deint(bobdeint,linearblend) filt()
2008-02-03 20:45:29.345 VDP: Rejecting: cmp(<= 1280 720,> 720 576) dec(xvmc) rend(xvmc-blit) osd(opengl) osdfade(enabled) deint(bobdeint,onefield) filt()
                        OSD Renderer opengl is not supported w/renderer xvmc-blit (supported: chromakey,chromakey,ia44blend)
2008-02-03 20:45:29.345 VDP: Accepting: cmp(<= 1280 720,> 720 576) dec(libmpeg2) rend(xv-blit) osd(softblend) osdfade(enabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.345 VDP: Accepting: cmp(> 0 0) dec(xvmc) rend(xvmc-blit) osd(ia44blend) osdfade(disabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.345 VDP: Accepting: cmp(> 0 0) dec(libmpeg2) rend(xv-blit) osd(chromakey) osdfade(disabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.345 VDP: LoadBestPreferences(2048x2048, 0)
2008-02-03 20:45:29.346 VDP: LoadBestPreferences(2048x2048, 60)
2008-02-03 20:45:29.346 VDP: LoadBestPreferences(16x16, 60)
2008-02-03 20:45:29.348 VDP: Accepting: cmp(<= 720 576,> 0 0) dec(ffmpeg) rend(xv-blit) osd(softblend) osdfade(enabled) deint(bobdeint,linearblend) filt()
2008-02-03 20:45:29.348 VDP: Rejecting: cmp(<= 1280 720,> 720 576) dec(xvmc) rend(xvmc-blit) osd(opengl) osdfade(enabled) deint(bobdeint,onefield) filt()
                        OSD Renderer opengl is not supported w/renderer xvmc-blit (supported: chromakey,chromakey,ia44blend)
2008-02-03 20:45:29.348 VDP: Accepting: cmp(<= 1280 720,> 720 576) dec(libmpeg2) rend(xv-blit) osd(softblend) osdfade(enabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.348 VDP: Accepting: cmp(> 0 0) dec(xvmc) rend(xvmc-blit) osd(ia44blend) osdfade(disabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.348 VDP: Accepting: cmp(> 0 0) dec(libmpeg2) rend(xv-blit) osd(chromakey) osdfade(disabled) deint(bobdeint,onefield) filt()
2008-02-03 20:45:29.348 VDP: LoadBestPreferences(2048x2048, 0)
2008-02-03 20:45:29.349 VDP: LoadBestPreferences(2048x2048, 60)
2008-02-03 20:45:29.349 VDP: LoadBestPreferences(16x16, 60)
2008-02-03 20:45:29.349 AFD: InitVideoCodec() 0x87d1ad0 id(MPEG2VIDEO) type (Video).
2008-02-03 20:45:29.349 AFD: InitVideoCodec failed to align dimensions, resetting decoder.
mythtv: mpeg/mpegtables.h:532: ProgramMapTable::ProgramMapTable(const PSIPTable&): Assertion `TableID::PMT == TableID()' failed.
Aborted

Let me know what else to try.

comment:3 Changed 12 years ago by danielk

Resolution: wontfix
Status: infoneeded_newclosed

It's an botched recording, it should be impossible to generate in trunk...

To save this particular recording, try running it through projectX or any other transcoder which will accept the file.

Note: See TracTickets for help on using tickets.